Subject: [bug#43477] [PATCH 0/1] guix: graph: Add 'plain' backend.

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 18 Sep 2020 11:35:55 +0200

Hello zimoun,

> I am always annoyed when I use "guix graph" because most of the time I run:
>
>   guix graph htop | grep label
>
> or something along these lines.  Instead, the patch avoids the grep part:

What's your exact use case? Note that you can run something like:

--8<---------------cut here---------------start------------->8---
guix gc -R `guix build htop`
--8<---------------cut here---------------end--------------->8---

to print the transitive closure of htop.

> $ ./pre-inst-env guix graph -b plain htop
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]
> [email-masked]

The issue with this approach is that the output is not really a graph,
just a list of nodes.

Thanks,

Mathieu